Bug 755685

Summary: Backlight contrl doesn't work on Lenovo laptop
Product: [Fedora] Fedora Reporter: Radek Vokal <rvokal>
Component: xorg-x11Assignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED WONTFIX QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: collura
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-26 10:14:54 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Xorg.0.log
none
Smolt profile none

Description Radek Vokal 2011-11-21 14:11:19 EST
Description of problem:
The backlight on the Lenovo laptop screen is set apx to 50%. It can't be lowered nor increased. 

xbacklight -set 100 - doesn't work either
function keys - shows only 50% progressbar, it won't get higher or lower

The laptop worked fine with F15. The GPU is Radeon mobility.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.11.2-3.fc16.i686

Steps to Reproduce:
1. Try changing the backlight

  
Actual results:
Still same darkness

Expected results:
Light
Comment 1 Radek Vokal 2011-11-21 14:12:37 EST
Created attachment 534840 [details]
Xorg.0.log
Comment 2 Radek Vokal 2011-11-21 14:13:39 EST
Created attachment 534841 [details]
Smolt profile
Comment 3 Radek Vokal 2011-11-21 14:29:34 EST
Working with acpi directly works

[radek@localhost ~]$ ls /sys/class/backlight/*/brightness
/sys/class/backlight/acpi_video0/brightness
[radek@localhost ~]$ cat /sys/class/backlight/acpi_video0/brightness
2
[radek@localhost ~]$ cat /sys/class/backlight/acpi_video0/max_brightness 
7
[root@localhost radek]#  echo 7 > /sys/class/backlight/acpi_video0/brightness
Comment 4 Fedora End Of Life 2013-01-16 16:00:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-26 10:14:58 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.